Schemas
The reusable request and response bodies the endpoints refer to.
Attribute
Section titled “Attribute”Properties
| Name | Type | Required | Description |
|---|---|---|---|
name |
string | null |
no | — |
description |
string | null |
no | — |
type |
AttributeTypeReference |
no | — |
Example
{ "name": "string", "description": "string", "type": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }}AttributeReference
Section titled “AttributeReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}AttributeReferenceOfInt32
Section titled “AttributeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}AttributeType
Section titled “AttributeType”Properties
| Name | Type | Required | Description |
|---|---|---|---|
name |
string | null |
no | — |
Example
{ "name": "string"}AttributeTypeReference
Section titled “AttributeTypeReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}AttributeTypeReferenceOfInt32
Section titled “AttributeTypeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}AuditLogEntry
Section titled “AuditLogEntry”Properties
| Name | Type | Required | Description |
|---|---|---|---|
period |
Period |
no | — |
historicDateTime |
string (date-time) |
no | — |
Example
{ "period": { "from": "2026-01-01T00:00:00Z", "to": "2026-01-01T00:00:00Z" }, "historicDateTime": "2026-01-01T00:00:00Z"}AuditedQuotationEntry
Section titled “AuditedQuotationEntry”Properties
| Name | Type | Required | Description |
|---|---|---|---|
period |
Period |
no | — |
quotationDateTime |
string (date-time) |
no | — |
historicDateTime |
string (date-time) |
no | — |
Example
{ "period": { "from": "2026-01-01T00:00:00Z", "to": "2026-01-01T00:00:00Z" }, "quotationDateTime": "2026-01-01T00:00:00Z", "historicDateTime": "2026-01-01T00:00:00Z"}BulkItemFailure
Section titled “BulkItemFailure”Properties
| Name | Type | Required | Description |
|---|---|---|---|
identifier |
string | null |
no | — |
status |
integer (int32) |
no | — |
error |
ProblemDetails |
no | Represents RFC7807 compliant problem details indicating that an error occurred while processing the current request. |
$successful |
string |
no | — |
Example
{ "identifier": "string", "status": 0, "error": { "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35" }, "$successful": "false"}BulkItemSuccess
Section titled “BulkItemSuccess”Properties
| Name | Type | Required | Description |
|---|---|---|---|
identifier |
string | null |
no | — |
status |
integer (int32) |
no | — |
value |
any | null |
no | — |
$successful |
string |
no | — |
Example
{ "identifier": "string", "status": 0, "value": null, "$successful": "true"}BulkRequest
Section titled “BulkRequest”Properties
| Name | Type | Required | Description |
|---|---|---|---|
endpoint |
string | null |
no | The path of the target endpoint, relative to the service root, optionally including a query string. Named placeholders must be delimited by angle brackets, for example: /repositories/<repository>/timeSeries/<timeSeries>/data. Each placeholder is replaced as plain text by the value of the item parameter with the exact same (case-sensitive) name, so placeholders may also cover parts of a path segment or query values. |
method |
string | null |
no | The HTTP method to use when invoking the target endpoint. Accepted values are GET, POST, PUT, and DELETE (case-insensitive). |
items |
BulkRequestItem[] | null |
no | The list of items to process. Each item provides the parameters for one individual request against the target endpoint. |
Example
{ "endpoint": "/repositories/<repository>/timeSeries/<timeSeries>/data", "method": "GET", "items": [ { "identifier": "item-1", "parameters": { "repository": "MyRepository", "timeSeries": "MyTimeSeries" }, "body": null } ]}BulkRequestItem
Section titled “BulkRequestItem”Properties
| Name | Type | Required | Description |
|---|---|---|---|
identifier |
string | null |
no | An optional correlation identifier for this item. When provided, the same value is echoed back in the corresponding response item. |
parameters |
object | null |
no | Route and query-string parameters for this item. The keys must match the placeholder names in the bulk request’s endpoint template. |
body |
any | null |
no | An optional per-item request body for endpoints that accept one (e.g. POST or PUT operations). Omit or set to null when the target operation does not require a body. |
Example
{ "identifier": "item-1", "parameters": { "repository": "MyRepository", "timeSeries": "MyTimeSeries" }, "body": null}Properties
| Name | Type | Required | Description |
|---|---|---|---|
issuer |
string | null |
no | — |
originalIssuer |
string | null |
no | — |
properties |
object | null |
no | — |
subject |
ClaimsIdentity |
no | — |
type |
string | null |
no | — |
value |
string | null |
no | — |
valueType |
string | null |
no | — |
Example
{ "issuer": "string", "originalIssuer": "string", "properties": { "property1": "string" }, "subject": { "authenticationType": "string", "isAuthenticated": true, "actor": {}, "bootstrapContext": null, "claims": [ { "issuer": "string", "originalIssuer": "string", "properties": { "property1": "string" }, "subject": {}, "type": "string", "value": "string", "valueType": "string" } ], "label": "string", "name": "string", "nameClaimType": "string", "roleClaimType": "string" }, "type": "string", "value": "string", "valueType": "string"}ClaimTransformation
Section titled “ClaimTransformation”Properties
| Name | Type | Required | Description |
|---|---|---|---|
retainOriginal |
boolean |
no | — |
order |
integer (int32) | null |
no | — |
fromType |
string | null |
yes | — |
toType |
string | null |
no | — |
fromValue |
string | null |
no | — |
toValue |
string | null |
no | — |
Example
{ "retainOriginal": true, "order": 0, "fromType": "string", "toType": "string", "fromValue": "string", "toValue": "string"}ClaimsIdentity
Section titled “ClaimsIdentity”Properties
| Name | Type | Required | Description |
|---|---|---|---|
authenticationType |
string | null |
no | — |
isAuthenticated |
boolean |
no | — |
actor |
ClaimsIdentity |
no | — |
bootstrapContext |
any | null |
no | — |
claims |
Claim[] | null |
no | — |
label |
string | null |
no | — |
name |
string | null |
no | — |
nameClaimType |
string | null |
no | — |
roleClaimType |
string | null |
no | — |
Example
{ "authenticationType": "string", "isAuthenticated": true, "actor": { "authenticationType": "string", "isAuthenticated": true, "actor": {}, "bootstrapContext": null, "claims": [ { "issuer": "string", "originalIssuer": "string", "properties": { "property1": "string" }, "subject": {}, "type": "string", "value": "string", "valueType": "string" } ], "label": "string", "name": "string", "nameClaimType": "string", "roleClaimType": "string" }, "bootstrapContext": null, "claims": [ { "issuer": "string", "originalIssuer": "string", "properties": { "property1": "string" }, "subject": { "authenticationType": "string", "isAuthenticated": true, "actor": {}, "bootstrapContext": null, "claims": [ {} ], "label": "string", "name": "string", "nameClaimType": "string", "roleClaimType": "string" }, "type": "string", "value": "string", "valueType": "string" } ], "label": "string", "name": "string", "nameClaimType": "string", "roleClaimType": "string"}ConfigurationSection
Section titled “ConfigurationSection”Properties
| Name | Type | Required | Description |
|---|---|---|---|
key |
string | null |
no | — |
path |
string | null |
no | — |
value |
string | null |
no | — |
Example
{ "key": "string", "path": "string", "value": "string"}ConfiguredHttpIdentityProvider
Section titled “ConfiguredHttpIdentityProvider”Properties
| Name | Type | Required | Description |
|---|---|---|---|
schemes |
string[] | null |
no | — |
signInScheme |
string | null |
no | — |
name |
string | null |
no | — |
type |
string | null |
no | — |
settings |
IdentityProviderSettings |
no | — |
Example
{ "schemes": [ "string" ], "signInScheme": "string", "name": "string", "type": "string", "settings": { "name": "string", "type": "string", "configurationSection": { "key": "string", "path": "string", "value": "string" }, "nameClaimType": "string", "roleClaimType": "string", "claimTransformations": [ { "retainOriginal": true, "order": 0, "fromType": "string", "toType": "string", "fromValue": "string", "toValue": "string" } ], "removeUntransformedClaims": true }}Direction
Section titled “Direction”Values
| Value |
|---|
0 |
1 |
2 |
Example
0EnumerationOfCompressionMode
Section titled “EnumerationOfCompressionMode”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number |
yes | Defines how data should be compressed during storage, if at all. |
name |
string | null |
yes | — |
Example
{ "value": 1, "name": "string"}EnumerationOfFlag
Section titled “EnumerationOfFlag”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number |
yes | Specifies the quality of a point of data along a time series. When combining multiple time series in a calculation, the flag of each point of data may impact the final result. |
name |
string | null |
yes | — |
Example
{ "value": 9, "name": "string"}EnumerationOfFunctionType
Section titled “EnumerationOfFunctionType”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number |
yes | Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value. |
name |
string | null |
yes | — |
Example
{ "value": 2, "name": "string"}EnumerationOfIntervalTransformationMethod
Section titled “EnumerationOfIntervalTransformationMethod”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number |
yes | Defines how data should be transformed when converting between intervals, i.e. summed up or averaged, etc. |
name |
string | null |
yes | — |
Example
{ "value": 1, "name": "string"}EnumerationOfIntervalType
Section titled “EnumerationOfIntervalType”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number |
yes | Defines the smallest step in time between data points on a time series. |
name |
string | null |
yes | — |
Example
{ "value": 2, "name": "string"}EnumerationOfQuotationBehavior
Section titled “EnumerationOfQuotationBehavior”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number |
yes | Defines how data data should be read from a time series that has multiple quotations, especially when the quotation data/time given while reading data does not exactly match with the date/time of an existing quotation. |
name |
string | null |
yes | — |
Example
{ "value": 2, "name": "string"}EnumerationOfTimeBase
Section titled “EnumerationOfTimeBase”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number |
yes | Defines the smallest step in time between data points on a time series that can be stored in a particular repository. |
name |
string | null |
yes | — |
Example
{ "value": 2, "name": "string"}Failure
Section titled “Failure”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
error |
ProblemDetails |
no | Represents RFC7807 compliant problem details indicating that an error occurred while processing the current request. |
Example
{ "$successful": false, "error": { "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35" }}FlagHandling
Section titled “FlagHandling”Values
| Value |
|---|
0 |
1 |
Example
0IdentityProviderSettings
Section titled “IdentityProviderSettings”Properties
| Name | Type | Required | Description |
|---|---|---|---|
name |
string | null |
no | — |
type |
string | null |
no | — |
configurationSection |
ConfigurationSection |
no | — |
nameClaimType |
string | null |
no | — |
roleClaimType |
string | null |
no | — |
claimTransformations |
ClaimTransformation[] | null |
no | — |
removeUntransformedClaims |
boolean |
no | — |
Example
{ "name": "string", "type": "string", "configurationSection": { "key": "string", "path": "string", "value": "string" }, "nameClaimType": "string", "roleClaimType": "string", "claimTransformations": [ { "retainOriginal": true, "order": 0, "fromType": "string", "toType": "string", "fromValue": "string", "toValue": "string" } ], "removeUntransformedClaims": true}Interval
Section titled “Interval”Properties
| Name | Type | Required | Description |
|---|---|---|---|
type |
number |
no | Defines the smallest step in time between data points on a time series. |
multiplier |
integer (int32) |
no | — |
Example
{ "type": 2, "multiplier": 0}ListAttributeUnit
Section titled “ListAttributeUnit”Properties
| Name | Type | Required | Description |
|---|---|---|---|
name |
string | null |
no | — |
type |
AttributeTypeReference |
no | — |
defaultValue |
string | null |
no | — |
format |
string | null |
no | — |
Example
{ "name": "string", "type": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "defaultValue": "string", "format": "string"}ListAttributeUnitAssignment
Section titled “ListAttributeUnitAssignment”Properties
| Name | Type | Required | Description |
|---|---|---|---|
attributeReference |
AttributeReference |
no | — |
listAttributeUnitReference |
ListAttributeUnitReference |
no | — |
Example
{ "attributeReference": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "listAttributeUnitReference": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }}ListAttributeUnitAssignmentReference
Section titled “ListAttributeUnitAssignmentReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ListAttributeUnitReference
Section titled “ListAttributeUnitReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ListAttributeValue
Section titled “ListAttributeValue”Properties
| Name | Type | Required | Description |
|---|---|---|---|
unit |
ListAttributeUnitReference |
no | — |
value |
string | null |
no | — |
description |
string | null |
no | — |
sortOrder |
integer (int32) |
no | — |
Example
{ "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "value": "string", "description": "string", "sortOrder": 0}ListAttributeValueReference
Section titled “ListAttributeValueReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}Properties
| Name | Type | Required | Description |
|---|---|---|---|
root |
AttributeReference |
no | — |
name |
string | null |
no | — |
parent |
NodeReference |
no | — |
children |
object | null |
no | — |
Example
{ "root": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "name": "string", "parent": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "children": { "property1": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } }}NodeReference
Section titled “NodeReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}NodeReferenceOfInt32
Section titled “NodeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}Period
Section titled “Period”Properties
| Name | Type | Required | Description |
|---|---|---|---|
from |
string (date-time) |
no | — |
to |
string (date-time) |
no | — |
Example
{ "from": "2026-01-01T00:00:00Z", "to": "2026-01-01T00:00:00Z"}ProblemDetails
Section titled “ProblemDetails”Represents RFC7807 compliant problem details indicating that an error occurred while processing the current request.
Properties
| Name | Type | Required | Description |
|---|---|---|---|
type |
string | null |
no | — |
title |
string | null |
yes | The title of the problem. For most errors, this will correspond to a HAKOM error code (HKxxxxx). Some general errors may just contain the string representation of the responses HTTP status code (i.e. “Bad Gateway” for status 502) |
status |
integer (int32) | null |
no | The HTTP status code for this error. |
detail |
string | null |
no | — |
instance |
string | null |
no | — |
root |
ProblemDetails |
no | Represents RFC7807 compliant problem details indicating that an error occurred while processing the current request. |
roots |
ProblemDetails[] | null |
no | — |
Example
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}ResolvedAttributeReferenceOfInt32
Section titled “ResolvedAttributeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
value |
Attribute |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string", "description": "string", "type": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } }}ResolvedAttributeTypeReferenceOfInt32
Section titled “ResolvedAttributeTypeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
value |
AttributeType |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string" }}ResolvedListAttributeUnitAssignmentReferenceOfInt32
Section titled “ResolvedListAttributeUnitAssignmentReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
value |
ListAttributeUnitAssignment |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "attributeReference": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "listAttributeUnitReference": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } }}ResolvedListAttributeUnitReferenceOfInt32
Section titled “ResolvedListAttributeUnitReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
value |
ListAttributeUnit |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string", "type": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "defaultValue": "string", "format": "string" }}ResolvedListAttributeValueReferenceOfInt32
Section titled “ResolvedListAttributeValueReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
value |
ListAttributeValue |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "value": "string", "description": "string", "sortOrder": 0 }}ResolvedNodeReferenceOfInt32
Section titled “ResolvedNodeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
value |
Node |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "root": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "name": "string", "parent": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "children": { "property1": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } } }}ResolvedReferenceOfAttributeType
Section titled “ResolvedReferenceOfAttributeType”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
value |
AttributeType |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "value": { "name": "string" }, "identifier": 0}ResolvedTimeSeriesReferenceOfInt32
Section titled “ResolvedTimeSeriesReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
value |
TimeSeries |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string", "description": "string", "function": 2, "cyclic": true, "interval": { "type": 2, "multiplier": 0 }, "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "intervalTransformationMethod": 1, "formula": { "2020-01-01T00:00:00Z": "Its a formula!" }, "timeZone": "Europe/Vienna", "startOfTime": "2026-01-01T00:00:00Z", "preserveDuplicatedValues": true, "preserveHistoricData": true, "preserveAuditLog": true, "quotation": true, "quotationDefaultBehavior": 2, "compressionMode": 1, "compressionMultiplier": 0 }}ResolvedUnitReference
Section titled “ResolvedUnitReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
string | null |
no | — |
value |
Unit |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": "string", "value": { "symbol": "string", "intervalTransformationMethod": 1 }}ResultOfAttributeReferenceOfInt32
Section titled “ResultOfAttributeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfAttributeTypeReferenceOfInt32
Section titled “ResultOfAttributeTypeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfListAttributeUnitReference
Section titled “ResultOfListAttributeUnitReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfListAttributeValueReference
Section titled “ResultOfListAttributeValueReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfNodeReferenceOfInt32
Section titled “ResultOfNodeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfTimeSeriesAssignmentReferenceOfAttributeInt32
Section titled “ResultOfTimeSeriesAssignmentReferenceOfAttributeInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfTimeSeriesAssignmentReferenceOfTimeSeriesInt32
Section titled “ResultOfTimeSeriesAssignmentReferenceOfTimeSeriesInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfTimeSeriesReferenceOfInt32
Section titled “ResultOfTimeSeriesReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}ResultOfUnitReference
Section titled “ResultOfUnitReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
string |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": "string"}StorageInformation
Section titled “StorageInformation”Properties
| Name | Type | Required | Description |
|---|---|---|---|
repositoryName |
string |
no | — |
Example
{ "repositoryName": "string"}SuccessOfAttributeReferenceOfInt32
Section titled “SuccessOfAttributeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
AttributeReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }}SuccessOfAuditLogEntry
Section titled “SuccessOfAuditLogEntry”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
AuditLogEntry |
no | — |
Example
{ "$successful": true, "value": { "period": { "from": "2026-01-01T00:00:00Z", "to": "2026-01-01T00:00:00Z" }, "historicDateTime": "2026-01-01T00:00:00Z" }}SuccessOfAuditedQuotationEntry
Section titled “SuccessOfAuditedQuotationEntry”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
AuditedQuotationEntry |
no | — |
Example
{ "$successful": true, "value": { "period": { "from": "2026-01-01T00:00:00Z", "to": "2026-01-01T00:00:00Z" }, "quotationDateTime": "2026-01-01T00:00:00Z", "historicDateTime": "2026-01-01T00:00:00Z" }}SuccessOfConfiguredHttpIdentityProvider
Section titled “SuccessOfConfiguredHttpIdentityProvider”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ConfiguredHttpIdentityProvider |
no | — |
Example
{ "$successful": true, "value": { "schemes": [ "string" ], "signInScheme": "string", "name": "string", "type": "string", "settings": { "name": "string", "type": "string", "configurationSection": { "key": "string", "path": "string", "value": "string" }, "nameClaimType": "string", "roleClaimType": "string", "claimTransformations": [ { "retainOriginal": true, "order": 0, "fromType": "string", "toType": "string", "fromValue": "string", "toValue": "string" } ], "removeUntransformedClaims": true } }}SuccessOfResolvedAttributeReferenceOfInt32
Section titled “SuccessOfResolvedAttributeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedAttributeReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string", "description": "string", "type": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } } }}SuccessOfResolvedAttributeTypeReferenceOfInt32
Section titled “SuccessOfResolvedAttributeTypeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedAttributeTypeReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string" } }}SuccessOfResolvedListAttributeUnitAssignmentReferenceOfInt32
Section titled “SuccessOfResolvedListAttributeUnitAssignmentReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedListAttributeUnitAssignmentReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "attributeReference": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "listAttributeUnitReference": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } } }}SuccessOfResolvedListAttributeUnitReferenceOfInt32
Section titled “SuccessOfResolvedListAttributeUnitReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedListAttributeUnitReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string", "type": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "defaultValue": "string", "format": "string" } }}SuccessOfResolvedListAttributeValueReferenceOfInt32
Section titled “SuccessOfResolvedListAttributeValueReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedListAttributeValueReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "value": "string", "description": "string", "sortOrder": 0 } }}SuccessOfResolvedNodeReferenceOfInt32
Section titled “SuccessOfResolvedNodeReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedNodeReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "root": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "name": "string", "parent": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }, "children": { "property1": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } } } }}SuccessOfResolvedTimeSeriesReferenceOfInt32
Section titled “SuccessOfResolvedTimeSeriesReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedTimeSeriesReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0, "value": { "name": "string", "description": "string", "function": 2, "cyclic": true, "interval": { "type": 2, "multiplier": 0 }, "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "intervalTransformationMethod": 1, "formula": { "2020-01-01T00:00:00Z": "Its a formula!" }, "timeZone": "Europe/Vienna", "startOfTime": "2026-01-01T00:00:00Z", "preserveDuplicatedValues": true, "preserveHistoricData": true, "preserveAuditLog": true, "quotation": true, "quotationDefaultBehavior": 2, "compressionMode": 1, "compressionMultiplier": 0 } }}SuccessOfResolvedUnitReference
Section titled “SuccessOfResolvedUnitReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
ResolvedUnitReference |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": "string", "value": { "symbol": "string", "intervalTransformationMethod": 1 } }}SuccessOfTimeDependentUnitConversion
Section titled “SuccessOfTimeDependentUnitConversion”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
TimeDependentUnitConversion |
no | — |
Example
{ "$successful": true, "value": { "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "conversionUnit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "storage": { "repositoryName": "string" }, "timeSeries": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 } }}SuccessOfTimeSeriesReferenceOfInt32
Section titled “SuccessOfTimeSeriesReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
TimeSeriesReferenceOfInt32 |
no | — |
Example
{ "$successful": true, "value": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }}SuccessOfTsmRepositoryInformation
Section titled “SuccessOfTsmRepositoryInformation”Properties
| Name | Type | Required | Description |
|---|---|---|---|
$successful |
boolean |
no | — |
value |
TsmRepositoryInformation |
no | — |
Example
{ "$successful": true, "value": { "name": "string", "type": "string", "version": "4.13.0+2026.10.14.041", "timeBase": 2 }}TimeDependentUnitConversion
Section titled “TimeDependentUnitConversion”Properties
| Name | Type | Required | Description |
|---|---|---|---|
unit |
UnitReference |
no | — |
conversionUnit |
UnitReference |
no | — |
storage |
StorageInformation |
no | — |
timeSeries |
TimeSeriesReference |
no | — |
Example
{ "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "conversionUnit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "storage": { "repositoryName": "string" }, "timeSeries": { "storageInformation": { "repositoryName": "string" }, "identifier": 0 }}TimeSeries
Section titled “TimeSeries”Properties
| Name | Type | Required | Description |
|---|---|---|---|
name |
string | null |
no | — |
description |
string | null |
no | — |
function |
number |
no | Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value. |
cyclic |
boolean |
no | — |
interval |
Interval |
no | — |
unit |
UnitReference |
no | — |
intervalTransformationMethod |
number | null |
no | Defines how data should be transformed when converting between intervals, i.e. summed up or averaged, etc. |
formula |
object | null |
no | A dictionary where each key must be a ISO-8601 date-time string, and each value must be a mathematical expression that defines the resulting value. The key specifies from which date/time on this specific expression is valid when reading data. For example: if a key “2010-01-01T00:00:00” has the value “3.5” then every data point after the January 1st 2010 will have the constant value of 3.5. Other time series may be referenced by putting their name or id (prefixed with id:) in square brackets, for example [id:23] or [SolarData]. |
timeZone |
string | null |
no | Identifies the time zone in which a time series is defined. This may impact calculation results, especially during daylight savings time transitions. |
startOfTime |
string (date-time) | null |
no | — |
preserveDuplicatedValues |
boolean | null |
no | — |
preserveHistoricData |
boolean |
no | — |
preserveAuditLog |
boolean |
no | — |
quotation |
boolean |
no | — |
quotationDefaultBehavior |
number | null |
no | Defines how data data should be read from a time series that has multiple quotations, especially when the quotation data/time given while reading data does not exactly match with the date/time of an existing quotation. |
compressionMode |
number |
no | Defines how data should be compressed during storage, if at all. |
compressionMultiplier |
integer (int32) | null |
no | — |
Example
{ "name": "string", "description": "string", "function": 2, "cyclic": true, "interval": { "type": 2, "multiplier": 0 }, "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "intervalTransformationMethod": 1, "formula": { "2020-01-01T00:00:00Z": "Its a formula!" }, "timeZone": "Europe/Vienna", "startOfTime": "2026-01-01T00:00:00Z", "preserveDuplicatedValues": true, "preserveHistoricData": true, "preserveAuditLog": true, "quotation": true, "quotationDefaultBehavior": 2, "compressionMode": 1, "compressionMultiplier": 0}TimeSeriesAssignmentReferenceOfAttributeInt32
Section titled “TimeSeriesAssignmentReferenceOfAttributeInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}TimeSeriesAssignmentReferenceOfTimeSeriesInt32
Section titled “TimeSeriesAssignmentReferenceOfTimeSeriesInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}TimeSeriesDataOfDouble
Section titled “TimeSeriesDataOfDouble”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number (double) |
no | — |
flag |
number |
no | Specifies the quality of a point of data along a time series. When combining multiple time series in a calculation, the flag of each point of data may impact the final result. |
time |
string (date-time) |
no | — |
Example
{ "value": 0, "flag": 9, "time": "2026-01-01T00:00:00Z"}TimeSeriesDataSpanOfDouble
Section titled “TimeSeriesDataSpanOfDouble”Properties
| Name | Type | Required | Description |
|---|---|---|---|
value |
number (double) |
no | — |
flag |
number |
no | Specifies the quality of a point of data along a time series. When combining multiple time series in a calculation, the flag of each point of data may impact the final result. |
period |
Period |
no | — |
Example
{ "value": 0, "flag": 9, "period": { "from": "2026-01-01T00:00:00Z", "to": "2026-01-01T00:00:00Z" }}TimeSeriesReference
Section titled “TimeSeriesReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}TimeSeriesReferenceOfInt32
Section titled “TimeSeriesReferenceOfInt32”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation |
no | — |
identifier |
integer |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": 0}TsmRepositoryInformation
Section titled “TsmRepositoryInformation”Properties
| Name | Type | Required | Description |
|---|---|---|---|
name |
string | null |
no | The name of the repository. |
type |
string | null |
no | The type of repository, i.e. the underlying type of database/driver it uses. |
version |
Version |
no | — |
timeBase |
number |
no | Defines the smallest step in time between data points on a time series that can be stored in a particular repository. |
Example
{ "name": "string", "type": "string", "version": "4.13.0+2026.10.14.041", "timeBase": 2}Properties
| Name | Type | Required | Description |
|---|---|---|---|
symbol |
string | null |
no | — |
intervalTransformationMethod |
number |
no | Defines how data should be transformed when converting between intervals, i.e. summed up or averaged, etc. |
Example
{ "symbol": "string", "intervalTransformationMethod": 1}UnitReference
Section titled “UnitReference”Properties
| Name | Type | Required | Description |
|---|---|---|---|
storageInformation |
StorageInformation | null |
no | — |
identifier |
string | null |
no | — |
Example
{ "storageInformation": { "repositoryName": "string" }, "identifier": "string"}Version
Section titled “Version”Type: string
Example
"4.13.0+2026.10.14.041"VersionedServiceInformation
Section titled “VersionedServiceInformation”Properties
| Name | Type | Required | Description |
|---|---|---|---|
title |
string | null |
no | — |
description |
string | null |
no | — |
version |
Version |
no | — |
supportedApiVersions |
Version[] | null |
no | — |
Example
{ "title": "string", "description": "string", "version": "4.13.0+2026.10.14.041", "supportedApiVersions": [ "4.13.0+2026.10.14.041" ]}